Package com.oracle.truffle.api.object

## Interface ObjectLocation

All Superinterfaces:
  `BaseLocation`, `TypedLocation`

All Known Subinterfaces:
  `LocationImpl.TypedObjectLocation<T>`

All Known Implementing Classes:
  `BasicLocations.ObjectArrayLocation`, `BasicLocations.ObjectFieldLocation`, `BasicLocations.SimpleObjectFieldLocation`

    public interface ObjectLocation
    extends TypedLocation

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Class<? extends java.lang.Object>` `getType()` The type of this location.
`boolean` `isNonNull()` If `true`, this location does not accept `null` values.

### Methods inherited from interface com.oracle.truffle.api.object.BaseLocation

`get, get, set, set, set`

### Method Detail

#### getType

    java.lang.Class<? extends java.lang.Object> getType()

Description copied from interface: `TypedLocation`
The type of this location.

Specified by:
  `getType` in interface `TypedLocation`

#### isNonNull

    boolean isNonNull()

If `true`, this location does not accept `null` values.